Kerbal Space Program - Bug #2835

PART.NODE({} throws exception if PART.NODE.transform doesn't exist, which crashes the part
loader

07/25/2014 02:00 PM - Greys

Status: Closed Start date: 07/25/2014
Severity: Normal % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 0.24 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

If the .mu associated with a part does not contain a transform corresponding to the value of PART.NODE.transform, the following
exception will be thrown

Part: Cannot add attach node. Transform of name 'Top'

NullReferenceException: Object reference not set to an instance of an object
at AttachNode..ctor (System.String id, UnityEngine.Transform transform, Int32 size, AttachNodeMe
thod attachMethod) [0x00000] in <filename unknown>:0

at Part.AddAttachNode (.ConfigNode node) [0x00000] in <filename unknown>:0

at PartLoader.ParsePart (.UrlConfig urlConfig, .ConfigNode node) [0x00000] in <filename unknown>
:0

at PartLoader+.MoveNext () [0x00000] in <filename unknown>:0
UnityEngine.MonoBehaviour:StartCoroutine_Auto (IEnumerator)
UnityEngine.MonoBehaviour:StartCoroutine (IEnumerator)
:MoveNext ()
UnityEngine.MonoBehaviour:StartCoroutine_Auto (IEnumerator)
UnityEngine.MonoBehaviour:StartCoroutine (IEnumerator)
PartLoader:StartLoad ()
:MoveNext ()@

No parts including the part throwing the error, and all parts alphabetically following it (per standard loading order depth first 0-9 a-z
search) will fail to be loaded and be missing from KSP until restarted with the transform fixed

History

#1 - 07/25/2014 02:02 PM - Greys

typo correction:

No parts including the part throwing the error, and all parts alphabetically following it (per standard loading order depth first 0-9 a-z search) will be
loaded and will be missing from KSP until restarted with the transform fixed

#2 - 07/17/2016 09:26 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/09/2016 10:56 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
